## libavio-dmo 3.2.6

=== CMakeLists.txt ===
#*******************************************************************************
# libavio/CMakeLists.txt
#
# Copyright (c) 2022, 2024 Stephen Rhodes 
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#    http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
#******************************************************************************/

cmake_minimum_required(VERSION 3.17)

project(libavio VERSION 3.2.6)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D__STDC_CONSTANT_MACROS")

list(PREPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

if(CMAKE_SYSTEM_NAME STREQUAL "Windows")
    add_compile_options(/EHsc /MT)
    set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS TRUE)
    set(BUILD_SHARED_LIBS TRUE)
endif()

add_definitions(-w)

find_package(FFmpeg REQUIRED)
find_package(SDL2 REQUIRED)

add_subdirectory(pybind11)

pybind11_add_module(avio 
    src/avio.cpp
    src/Clock.cpp
    src/Decoder.cpp
    src/Display.cpp
    src/Encoder.cpp
    src/Exception.cpp
    src/Filter.cpp
    src/Frame.cpp
    src/Packet.cpp
    src/Pipe.cpp
    src/Player.cpp
    src/Reader.cpp
    src/Writer.cpp
)

target_link_libraries(avio PRIVATE 
    FFmpeg::FFmpeg
    SDL2::SDL2
)

target_include_directories(avio SYSTEM PUBLIC
    include
)

if(CMAKE_SYSTEM_NAME STREQUAL "Linux")
    message("-- Setting run_path for Linux binaries")
    set_target_properties(avio PROPERTIES
        BUILD_RPATH "$ORIGIN"
        BUILD_RPATH_USE_ORIGIN TRUE
        INSTALL_RPATH "$ORIGIN"
        INSTALL_RPATH_USE_ORIGIN TRUE
    )
endif()

=== debian/changelog ===
libavio-dmo (3.2.6-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Sep 2025 07:35:45 +0200

libavio-dmo (3.2.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 27 Apr 2025 09:04:14 +0200

libavio-dmo (3.2.5-dmo2) unstable; urgency=medium

  * Should Build-Depends on python3-setuptools

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 24 Mar 2025 16:10:02 +0100

libavio-dmo (3.2.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Jan 2025 13:21:10 +0100

libavio-dmo (3.2.4-dmo2) unstable; urgency=medium

  * Build with ffmpeg 7

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2025 08:47:20 +0100

libavio-dmo (3.2.4-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jan 2025 17:55:53 +0100

libavio-dmo (3.2.3-dmo2) unstable; urgency=medium

  * Restore deleted __init__.py
  * Build with ffmpeg 6.1.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 25 Nov 2024 00:36:28 +0100

libavio-dmo (3.2.3-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Nov 2024 14:15:39 +0100

=== debian/control ===
Source: libavio-dmo
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/sr99622/libavio
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev, quilt,
 cmake, libavcodec-dev, libavformat-dev, libsdl2-dev, libavfilter-dev, pybind11-dev,
 pybuild-plugin-pyproject, python3-setuptools,

Package: python3-avio
Architecture: any
Depends: ${shlibs:Depends}, ${python3:Depends}, ${misc:Depends},
Description: Python3 library for processing media streams
 Python3 library for processing media streams designed for use in Onvif GUI.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=libavio

%:
	dh $@ -Spybuild --with quilt

=== debian/watch ===
version=4

https://github.com/sr99622/libavio/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@
